<?php
function soccerclubacademy_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Header Settings Panel
	=========================================*/
	$wp_customize->add_panel( 
		'header_section', 
		array(
			'priority'      => 2,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Header', 'soccer-club-academy'),
		) 
	);

	
	/*=========================================
	Soccer Club Academy Site Identity
	=========================================*/
	$wp_customize->add_section(
        'title_tagline',
        array(
        	'priority'      => 1,
            'title' 		=> __('Site Identity','soccer-club-academy'),
			'panel'  		=> 'header_section',
		)
    );


	// topheader Logo Width
	$topheaderlogowidth = esc_html__('100', 'soccer-club-academy' );
	$wp_customize->add_setting(
    	'topheader_logowidth',
    	array(
			'default' => $topheaderlogowidth,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'topheader_logowidth',
		array(
		    'label'   		=> __('Logo Width','soccer-club-academy'),
		    'section'		=> 'title_tagline',
			'type' 			=> 'range',
			'transport'         => $selective_refresh,
		)  
	);	

	// topheader Logo Height
	$topheaderlogoheight = esc_html__('70', 'soccer-club-academy' );
	$wp_customize->add_setting(
    	'topheader_logoheight',
    	array(
			'default' => $topheaderlogoheight,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'topheader_logoheight',
		array(
		    'label'   		=> __('Logo Height','soccer-club-academy'),
		    'section'		=> 'title_tagline',
			'type' 			=> 'range',
			'transport'         => $selective_refresh,
		)  
	);	


	
	// /*=========================================
	// Header Navigation
	// =========================================*/	
	// $wp_customize->add_section(
 //        'hdr_navigation',
 //        array(
 //        	'priority'      => 3,
 //            'title' 		=> __('Header Navigation','soccer-club-academy'),
	// 		'panel'  		=> 'header_section',
	// 	)
 //    );

 //    // Cart
	// $wp_customize->add_setting(
	// 	'hdr_nav_cart'
	// 		,array(
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'soccerclubacademy_sanitize_text',
	// 	)
	// );

	// $wp_customize->add_control(
	// 'hdr_nav_cart',
	// 	array(
	// 		'type' => 'hidden',
	// 		'label' => __('Cart','soccer-club-academy'),
	// 		'section' => 'hdr_navigation',
	// 		'priority' => 2,
	// 	)
	// );

	// // hide/show
	// $wp_customize->add_setting( 
	// 	'hide_show_cart' , 
	// 		array(
	// 		'default' => '1',
	// 		'capability'     => 'edit_theme_options',
	// 		'sanitize_callback' => 'soccerclubacademy_sanitize_checkbox',
	// 	) 
	// );
	
	// $wp_customize->add_control(
	// 'hide_show_cart', 
	// 	array(
	// 		'label'	      => esc_html__( 'Hide/Show', 'soccer-club-academy' ),
	// 		'section'     => 'hdr_navigation',
	// 		'type'        => 'checkbox',
	// 		'priority' => 2,
	// 	) 
	// );
	
	// // Header Search
	// $wp_customize->add_setting(
	// 	'hdr_nav_search_head'
	// 		,array(
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'soccerclubacademy_sanitize_text',
	// 	)
	// );

	// $wp_customize->add_control(
	// 'hdr_nav_search_head',
	// 	array(
	// 		'type' => 'hidden',
	// 		'label' => __('Search','soccer-club-academy'),
	// 		'section' => 'hdr_navigation',
	// 		'priority'  => 3,
	// 	)
	// );	
	
	// // hide/show
	// $wp_customize->add_setting( 
	// 	'hs_nav_search' , 
	// 		array(
	// 		'default' => '1',
	// 		'capability'     => 'edit_theme_options',
	// 		'sanitize_callback' => 'soccerclubacademy_sanitize_checkbox',
	// 	) 
	// );
	
	// $wp_customize->add_control(
	// 'hs_nav_search', 
	// 	array(
	// 		'label'	      => esc_html__( 'Hide/Show', 'soccer-club-academy' ),
	// 		'section'     => 'hdr_navigation',
	// 		'type'        => 'checkbox',
	// 		'priority' => 3,
	// 	) 
	// );
	
	
	// // Header Toggle
	// $wp_customize->add_setting(
	// 	'hdr_nav_toggle_head'
	// 		,array(
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'soccerclubacademy_sanitize_text',
	// 	)
	// );

	// $wp_customize->add_control(
	// 'hdr_nav_toggle_head',
	// 	array(
	// 		'type' => 'hidden',
	// 		'label' => __('Toggle','soccer-club-academy'),
	// 		'section' => 'hdr_navigation',
	// 		'priority'  => 6,
	// 	)
	// );	
	
	// // hide/show
	// $wp_customize->add_setting( 
	// 	'hs_nav_toggle' , 
	// 		array(
	// 		'default' => '1',
	// 		'capability'     => 'edit_theme_options',
	// 		'sanitize_callback' => 'soccerclubacademy_sanitize_checkbox',
	// 	) 
	// );
	
	// $wp_customize->add_control(
	// 'hs_nav_toggle', 
	// 	array(
	// 		'label'	      => esc_html__( 'Hide/Show', 'soccer-club-academy' ),
	// 		'section'     => 'hdr_navigation',
	// 		'type'        => 'checkbox',
	// 		'priority' => 7,
	// 	) 
	// );
	
	// // Title // 
	// $wp_customize->add_setting(
 //    	'soccerclubacademy_hdr_toggle_ttl',
 //    	array(
	// 		'sanitize_callback' => 'soccerclubacademy_sanitize_html',
	// 		'transport'         => $selective_refresh,
	// 		'capability' => 'edit_theme_options',
	// 	)
	// );	

	// $wp_customize->add_control( 
	// 	'soccerclubacademy_hdr_toggle_ttl',
	// 	array(
	// 	    'label'   		=> __('Title','soccer-club-academy'),
	// 	    'section' 		=> 'hdr_navigation',
	// 		'type'		 =>	'text',
	// 		'priority' => 8,
	// 	)  
	// );	
	
	
	// // content // 
	// $wp_customize->add_setting(
 //    	'soccerclubacademy_hdr_toggle_content',
 //    	array(
	// 		'sanitize_callback' => 'soccerclubacademy_sanitize_html',
	// 		'transport'         => $selective_refresh,
	// 		'capability' => 'edit_theme_options',
	// 	)
	// );	

	// $wp_customize->add_control( 
	// 	'soccerclubacademy_hdr_toggle_content',
	// 	array(
	// 	    'label'   		=> __('Title','soccer-club-academy'),
	// 	    'section' 		=> 'hdr_navigation',
	// 		'type'		 =>	'textarea',
	// 		'priority' => 8,
	// 	)  
	// );	
	
	
	/*=========================================
	Sticky Header
	=========================================*/	
	$wp_customize->add_section(
        'sticky_header_set',
        array(
        	'priority'      => 4,
            'title' 		=> __('Sticky Header','soccer-club-academy'),
			'panel'  		=> 'header_section',
		)
    );
	
	// Heading
	$wp_customize->add_setting(
		'sticky_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'soccerclubacademy_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'sticky_head',
		array(
			'type' => 'hidden',
			'label' => __('Sticky Header','soccer-club-academy'),
			'section' => 'sticky_header_set',
		)
	);
	$wp_customize->add_setting( 
		'hide_show_sticky' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'soccerclubacademy_sanitize_checkbox',
			'priority' => 2,
		) 
	);

	
	$wp_customize->add_control(
	'hide_show_sticky', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'soccer-club-academy' ),
			'section'     => 'sticky_header_set',
			'type'        => 'checkbox'
		) 
	);		


	// // topheader Button Color
	// $topheaderstickycolor = esc_html__('#fe9903', 'soccer-club-academy' );
	// $wp_customize->add_setting(
 //    	'topheader_stickycolor',
 //    	array(
	// 		'default' => $topheaderstickycolor,
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'wp_kses_post',
	// 		'priority'      => 2,
	// 	)
	// );	

	// $wp_customize->add_control( 
	// 	'topheader_stickycolor',
	// 	array(
	// 	    'label'   		=> __('Header Color','soccer-club-academy'),
	// 	    'section'		=> 'sticky_header_set',
	// 		'type' 			=> 'color',
	// 		'transport'         => $selective_refresh,
	// 	)  
	// );	
	

	/*=========================================
	Top header
	=========================================*/
	$wp_customize->add_section(
        'top_header',
        array(
        	'priority'      => 5,
            'title' 		=> __('Top Header','soccer-club-academy'),
			'panel'  		=> 'header_section',
		)
    );	


// topheader icon 1
	$topheadericon1 = esc_html__('fa fa-facebook', 'soccer-club-academy' );
	$wp_customize->add_setting(
    	'topheader_icon1',
    	array(
			'default' => $topheadericon1,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 10,
		)
	);	

	$wp_customize->add_control( 
		'topheader_icon1',
		array(
		    'label'   		=> __('Icon 1','soccer-club-academy'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader icon 2
	$topheadericon2 = esc_html__('fa fa-instagram', 'soccer-club-academy' );
	$wp_customize->add_setting(
    	'topheader_icon2',
    	array(
			'default' => $topheadericon2,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 11,
		)
	);	

	$wp_customize->add_control( 
		'topheader_icon2',
		array(
		    'label'   		=> __('Icon 2','soccer-club-academy'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader icon 3
	$topheadericon3 = esc_html__('fa fa-twitter', 'soccer-club-academy' );
	$wp_customize->add_setting(
    	'topheader_icon3',
    	array(
			'default' => $topheadericon3,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 12,
		)
	);	

	$wp_customize->add_control( 
		'topheader_icon3',
		array(
		    'label'   		=> __('Icon 3','soccer-club-academy'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader icon 4
	$topheadericon4 = esc_html__('fa fa-google-plus', 'soccer-club-academy' );
	$wp_customize->add_setting(
    	'topheader_icon4',
    	array(
			'default' => $topheadericon4,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 13,
		)
	);	

	$wp_customize->add_control( 
		'topheader_icon4',
		array(
		    'label'   		=> __('Icon 4','soccer-club-academy'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		




	

}
add_action( 'customize_register', 'soccerclubacademy_header_settings' );





